-- Install Lazy.nvim
local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
    lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

require('lazy').setup({
    "rafamadriz/friendly-snippets",
    'ConradIrwin/vim-bracketed-paste',
    'Vimjas/vim-python-pep8-indent',
    'airblade/vim-rooter',
    'cappyzawa/trim.nvim',
    'ervandew/supertab',
    'ggandor/leap.nvim',
    'gpanders/editorconfig.nvim',
    'intrntbrn/awesomewm-vim-tmux-navigator',
    'lervag/vimtex',
    'mbbill/undotree',
    'numToStr/Comment.nvim',
    'vimwiki/vimwiki',
    'windwp/nvim-autopairs',
    {'williamboman/mason-lspconfig.nvim', dependencies = {'williamboman/mason.nvim', 'neovim/nvim-lspconfig'}},
    {"folke/trouble.nvim", dependencies = {"nvim-tree/nvim-web-devicons"}},
    {"nvim-treesitter/nvim-treesitter", build = ":TSUpdate"},
    {'TimUntersberger/neogit', dependencies = {'nvim-lua/plenary.nvim'} },
    {'hrsh7th/nvim-cmp', dependencies = {'hrsh7th/cmp-buffer', 'hrsh7th/cmp-cmdline', 'hrsh7th/cmp-nvim-lsp', 'hrsh7th/cmp-path', 'hrsh7th/vim-vsnip', 'hrsh7th/vim-vsnip-integ'}},
    {'nvim-lualine/lualine.nvim', dependencies = { 'nvim-tree/nvim-web-devicons', opt = true }},
    {'nvim-telescope/telescope-fzf-native.nvim', build = 'cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release && cmake --build build --config Release && cmake --install build --prefix build' },
    {'nvim-telescope/telescope.nvim', dependencies = {'nvim-lua/plenary.nvim'}},
    {'nvim-tree/nvim-tree.lua', dependencies = {'nvim-tree/nvim-web-devicons'}, tag = 'nightly'},
    {dir = '~/.config/nvim/colorschemes/material', dependencies= {"rktjmp/lush.nvim"}},
})
